package intrinsic.mx.controls.treeClasses;

public class HierarchicalCollectionView extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.collections.ICollectionView, intrinsic.mx.utils.IXMLNotifiable {

	/** Accessors */
	public int length;
	public intrinsic.mx.collections.Sort sort;
	public intrinsic.Function filterFunction;

	/** Variables */
	public Object parentMap;
	public Object openNodes;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HierarchicalCollectionView() {
}

public HierarchicalCollectionView(Object arg0, Object arg1, Object arg2) {
}

public HierarchicalCollectionView(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native void expandEventHandler(intrinsic.mx.events.CollectionEvent arg0);
public native void enableAutoUpdate();
public native void disableAutoUpdate();
public native void itemUpdated(Object arg0);
public native void itemUpdated(Object arg0, Object arg1);
public native void itemUpdated(Object arg0, Object arg1, Object arg2);
public native void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public native Object describeData();
public native intrinsic.mx.collections.IViewCursor createCursor();
public native boolean refresh();
public native void xmlNotification(Object arg0, String arg1, Object arg2, Object arg3, Object arg4);
public native void collectionChangeHandler(intrinsic.mx.events.CollectionEvent arg0);
public native Object getParentItem(Object arg0);
public native void nestedCollectionChangeHandler(intrinsic.mx.events.CollectionEvent arg0);
public native int calculateLength();
public native int calculateLength(Object arg0);
public native int calculateLength(Object arg0, Object arg1);
public native boolean contains(Object arg0);

}
